PHP Manual
Prev |  | Next

# ZEND_STRS

ZEND_STRS -- Pass string pointer and buffer size in one operation

## Description

#include <zend.h>

void ZEND_STRS ( char * str )

This is a convenience macro that can be used when passing a static string to a function that requires a buffer length argument together with a string. This saves duplicating the static string in the sourcecode or adding an extra variable for it.

## Parameters

str

  ...

## Return Values

...

Prev | Home | Next
ZEND_STRL | Up | ZEND_TRUTH